package com.example.iplace.main.viewModel.mainView

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Card
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.em
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.iplace.R
import com.example.iplace.main.viewModel.MainViewModel
import com.example.iplace.ui.theme.beige_white
import com.example.iplace.ui.theme.brown_contrast
import kotlinx.datetime.format.Padding

@Composable
fun SelectEnter(navController: NavHostController){
    val viewModel = MainViewModel()
    val headlinesOswald = FontFamily( //загрузка шрифта
        Font(resId = R.font.headlines_oswald)
    )
    val basicNunitosans = FontFamily(
        Font(resId = R.font.basic_nunitosans)
    )
    Image(
        painter = painterResource(id = R.drawable.se2),
        contentDescription = "",
        contentScale = ContentScale.FillHeight,
        modifier = Modifier.fillMaxSize()
    )
    Column(
        modifier = Modifier
            .fillMaxSize(),
        verticalArrangement = Arrangement.Top,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Spacer(modifier = Modifier.height(60.dp)) //отступ между блоками
        Text(
            text = "I.PLACE",
            fontSize = 45.sp,
            fontWeight = FontWeight.Bold,
            fontFamily = headlinesOswald,
            color = Color.White
        )
        Spacer(modifier = Modifier.height(55.dp))
        Box(
            modifier = Modifier
                .width(360.dp)
                .height(600.dp)
                .clip(RoundedCornerShape(40.dp))
                .background(beige_white.copy(alpha = 0.8f))
//                .alpha(0.8f) //возможная прозрачность формы
        ) {
            Column(
                modifier = Modifier.fillMaxSize(),
                verticalArrangement = Arrangement.Top,
                horizontalAlignment = Alignment.CenterHorizontally
            ) {
                Spacer(modifier = Modifier.height(20.dp))
                Text(
                    text = "Информация о приложении",
                    fontSize = 18.sp,
                    fontWeight = FontWeight.Bold,
                    fontFamily = headlinesOswald
                )
                Spacer(modifier = Modifier.height(5.dp))

                Text(
                    text = "I.Place – это ваше личное приложение для создания и хранения коллекций интересных мест. Хотите организовать незабываемую прогулку, романтическое свидание или семейный отдых?  I.Place поможет вам найти идеальные локации,  сохранить любимые места и поделиться ими с друзьями. Создавайте свои маршруты, открывайте новые горизонты и наслаждайтесь моментами, которые подарит вам I.Place.",
                    fontSize = 16.sp,
                    lineHeight = 1.5.em,
                    fontWeight = FontWeight.Bold,
                    fontFamily = basicNunitosans, //шрифт
                    modifier = Modifier.padding(horizontal = 20.dp) //отступ слева и справа
                )

                Spacer(modifier = Modifier.height(16.dp))
                Button(
                    onClick = {navController.navigate("auth")},
                    modifier = Modifier.width(290.dp).height(50.dp),
                    colors = ButtonDefaults.buttonColors(brown_contrast)
                ) {
                    Text( text = "Войти",
                        fontSize = 24.sp,
                        fontFamily = basicNunitosans)
                }
                Spacer(modifier = Modifier.height(20.dp))

                Button(
                    onClick = {navController.navigate("registration")}, //переключение на другую страницу
                    modifier = Modifier.width(290.dp).height(50.dp),
                    colors = ButtonDefaults.buttonColors(brown_contrast)
                ) {
                    Text( text = "Зарегистрироваться",
                        fontSize = 24.sp,
                        fontFamily = basicNunitosans)
                }
            }
        }
    }
}
